=== Makefile ===
#
# Makefile for non-Microsoft compilers
#

all: MakeAll

test: TestAll

lib: MakeAll
	$(MAKE) -C snap-core lib

MakeAll:
	$(MAKE) -C snap-core
	$(MAKE) -C examples

TestAll:
	$(MAKE) run -C test

clean:
	$(MAKE) clean -C snap-core
	$(MAKE) clean -C examples
	$(MAKE) clean -C test
	$(MAKE) clean -C tutorials
