=== debian/changelog ===
rock-master-19.06-external-snap (0.20180801-1~bionic) unstable; urgency=low

  * Package automatically built using 'apaka'
  * repository: git:https://github.com/snap-stanford/snap.git
  * branch: refs/heads/master
  * commit: 86ac647a011a8de43e8b1af6a9a45a737a69d886
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Fri, 05 Jul 2019 12:10:06 +0200
