=== debian/control ===
Source: rock-master-19.06-external-snap
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, build-essential, cmake, rock-master-19.06-base-cmake
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-19.06-external-snap
Architecture: any
Depends: ${shlibs:Depends}, rock-master-19.06-base-cmake, cmake, build-essential
Description: Stanford Network Analysis Platform
 Stanford Network Analysis Platform (SNAP) is a general purpose network analysis and graph mining
  library. It is written in C++ and easily scales to massive networks with hundreds of millions of
  nodes, and billions of edges. It efficiently manipulates large graphs, calculates structural
  properties, generates regular and random graphs, and supports attributes on nodes and edges. SNAP is
  also available through the NodeXL which is a graphical front-end that integrates network analysis
  into Microsoft Office and Excel.
